Okta Identity Governance
/Management APIs
//
List all labeled resource...
OAuth 2.0 scope:
- okta.governance.labels.read
Admin roles:
- SUPER_ADMIN
Lists all labeled resources
Note: If you create a custom admin role to view labeled resources, ensure that the custom role has permissions to view the resource and governance labels. For example, to view labeled apps, the custom admin role must have the
okta.apps.readand theokta.governance.labels.readpermissions.
A filter expression that returns entries based on the following properties and supported operators:
orn: supportseqlabelValueId: supportseqresourceType: supportseq(TheresourceTypevalue is taken from the{objectType}attribute in the resource ORN. For example,entitlement-valuesfor entitlement value resources.)
Note: Query parameter percent encoding is required. See Special characters.
Examples:
Filter by resource ORN representing a single resource
filter=orn eq "orn:okta:idp:00o11edPwGqbUrsDm0g4:apps:oidc:0oafxqCAJWWGELFTYASJ"Filter by label value ID and app resource type
filter=labelValueId eq "lblo3v6xlwdtEX2il1d6" AND resourceType eq "apps"Filter by label value ID and groups resource type
filter=labelValueId eq "lblo3v6xlwdtEX2il1d6" AND resourceType eq "groups"Filter by label value id and entitlement-value resource type
filter=labelValueId eq "ento3v6xlwdtEX2il1d6" AND resourceType eq "entitlement-values"Filter by label value id and entitlement-value resource type
filter=labelValueId eq "ento3v6xlwdtEX2il1d6" AND resourceType eq "collections"Filter by multiple label value IDs and app resource type
filter=(labelValueId eq "lblo3v6xlwdtEX2il1d6" OR labelValueId eq "lblo3v6xlwdtEX2il1d7") AND resourceType eq "apps"Filter by several label value ID and app resource type
filter=(labelValueId eq "lblo3v6xlwdtEX2il1d6" AND resourceType eq "apps") OR (labelValueId eq "lblo3v6xlwdtEX2il1d7" AND resourceType eq "groups")Specifies the pagination cursor for the next page of results. Treat this as an opaque value obtained through the standard link headers. See pagination.
Example:after=00u68w6vzKLultXS97g6
GET
curl -i -X GET \
'https://okta-subdomain.pixtulate.com/governance/api/v1/resource-labels?filter=orn%20eq%20%22orn%3Aokta%3Aidp%3A00o11edPwGqbUrsDm0g4%3Aapps%3Aoidc%3A0oafxqCAJWWGELFTYASJ%22&limit=20&after=00u68w6vzKLultXS97g6'A list of resources with labels
Link relations available using the JSON Hypertext Application Language
Response
{ "data": [ { … } ], "_links": { "self": { … } } }